classification
Title: fwrite() compiler warnings
Type: compile error Stage:
Components: Build Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Ramchandra Apte, benjamin.peterson, djc
Priority: normal Keywords:

Created on 2009-10-28 01:16 by benjamin.peterson, last changed 2014-03-13 02:29 by benjamin.peterson. This issue is now closed.

Messages (4)
msg94597 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-10-28 01:16
gcc 4.3.2 is currently coughing up warnings like this:

Objects/object.c: In function 'internal_print':                        
                                                                       
                                    
Objects/object.c:301: warning: ignoring return value of 'fwrite',
declared with attribute warn_unused_result                             
                                          
Objects/object.c:310: warning: ignoring return value of 'fwrite',
declared with attribute warn_unused_result                             
                                          
Python/marshal.c: In function 'w_string':                              
                              
      
Python/marshal.c:97: warning: ignoring return value of 'fwrite',
declared with attribute warn_unused_result                             
                                           
./Modules/signalmodule.c: In function 'signal_handler':                
                                                                       
                                    
./Modules/signalmodule.c:182: warning: ignoring return value of 'write',
declared with attribute warn_unused_result
msg112630 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-03 16:56
I'm assuming that this is still an issue, sorry I don't have gcc 4.3.2 to try it out on.
msg116806 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-09-18 16:01
See also #1616 and #1621.
msg181033 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2013-01-31 15:52
I'm pretty sure this is invalid now.
History
Date User Action Args
2014-03-13 02:29:38benjamin.petersonsetstatus: open -> closed
resolution: fixed
2014-02-03 18:41:16BreamoreBoysetnosy: - BreamoreBoy
2013-01-31 15:52:35Ramchandra Aptesetnosy: + Ramchandra Apte
messages: + msg181033
2010-09-18 16:01:03BreamoreBoysetmessages: + msg116806
2010-08-03 16:56:52BreamoreBoysetnosy: + BreamoreBoy
messages: + msg112630
2010-08-03 14:16:05djcsetnosy: + djc
2009-10-28 01:16:19benjamin.petersoncreate